import request from '@/utils/request'

//  /api/client/get_list
export function get_list(data) {
  return request({
    url: '/api/client/get_list',
    method: 'post',
    data
  })
}

// /api/client/add_or_update
export function add_or_update(data) {
  return request({
    url: '/api/client/add_or_update',
    method: 'post',
    data
  })
}

//  /api/client/update_status
export function update_status(data) {
  return request({
    url: '/api/client/update_status',
    method: 'post',
    data
  })
}

// /api/client/get_client_drawer
export function get_client_drawer(data) {
  return request({
    url: '/api/client/get_client_drawer',
    method: 'post',
    data
  })
}

// /api/client/get_drawer_power
export function get_drawer_power(data) {
  return request({
    url: '/api/client/get_drawer_power',
    method: 'post',
    data
  })
}

//  /api/client/set_drawer_power
export function set_drawer_power(data) {
  return request({
    url: '/api/client/set_drawer_power',
    method: 'post',
    data
  })
}
//  /api/client/user_ban_list
export function user_ban_list(data) {
  return request({
    url: '/api/client/user_ban_list',
    method: 'post',
    data
  })
}

//  /api/client/user_ban_confirm
export function user_ban_confirm(data) {
  return request({
    url: '/api/client/user_ban_confirm',
    method: 'post',
    data
  })
}

//  /api/client/user_ban_relieve
export function user_ban_relieve(data) {
  return request({
    url: '/api/client/user_ban_relieve',
    method: 'post',
    data
  })
}

//  /api/client/del
export function del(data) {
  return request({
    url: '/api/client/del',
    method: 'post',
    data
  })
}

// /api/client/client_empty
export function client_empty(data) {
  return request({
    url: '/api/client/client_empty',
    method: 'post',
    data
  })
}

